-- Plate

minetest.register_craftitem("dishes:plate", {
	description = "Plate",
	inventory_image = "dishes_plate.png"
})

minetest.register_craft({
	output = "dishes:plate",
	recipe = {
		{"default:clay_brick", "default:clay_brick", "default:clay_brick"}
	}
})

-- Can

minetest.register_craftitem("dishes:can", {
	description = "Can",
	inventory_image = "dishes_can.png"
})

minetest.register_craft({
	output = "dishes:can",
	recipe = {
		{"default:steel_ingot"},
		{"default:steel_ingot"}
	}
})

-- Rolling pin

minetest.register_craftitem("dishes:rollingpin", {
	description = "Rolling pin",
	inventory_image = "dishes_rollingpin.png",
	stack_max = 1
})

minetest.register_craft({
	output = "dishes:rollingpin",
	recipe = {
		{"default:stick"},
		{"default:wood"},
		{"default:stick"}
	}
})

-- Pot

minetest.register_craftitem(":farming:pot", {
	description = "Pot",
	inventory_image = "dishes_pot.png",
	stack_max = 1
})

minetest.register_craft({
	output = "farming:pot",
	recipe = {
		{"default:steel_ingot", "default:stick", "default:steel_ingot"},
		{"basic_materials:steel_strip", "", "basic_materials:steel_strip"},
		{"basic_materials:steel_strip", "basic_materials:steel_strip", "basic_materials:steel_strip"}
	}
})

-- Dough

minetest.register_craftitem("dishes:dough", {
	description = "Dough",
	inventory_image = "dishes_dough.png"
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:dough",
	recipe = {"dishes:rollingpin", "farming:flour"},
	replacements = {{"dishes:rollingpin", "dishes:rollingpin"}}
})

-- Cut veggies

-- Cut eggplant

minetest.register_craftitem("dishes:cut_eggplant", {
	description = "Cut eggplant",
	inventory_image = "dishes_cut_eggplant.png",
	groups = {food_cut = 1}
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:cut_eggplant 9",
	recipe = {"farming:eggplant", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

-- Cut tomato

minetest.register_craftitem("dishes:cut_tomato", {
	description = "Cut tomato",
	inventory_image = "dishes_cut_tomato.png",
	groups = {food_cut = 1}
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:cut_tomato 9",
	recipe = {"farming:tomato", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

-- Cut red pepper

minetest.register_craftitem("dishes:cut_pepper", {
	description = "Cut red pepper",
	inventory_image = "dishes_cut_pepper.png",
	groups = {food_cut = 1}
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:cut_pepper 9",
	recipe = {"farming:pepper_red", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

-- Cut cheese

minetest.register_craftitem("dishes:cut_cheese", {
	description = "Cut cheese",
	inventory_image = "dishes_cut_cheese.png",
	groups = {food_cut = 1}
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:cut_cheese 5",
	recipe = {"mobs:cheese", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

-- Cooked spinach

minetest.register_craftitem("dishes:cooked_spinach", {
	description = "Cooked spinach",
	inventory_image = "dishes_cooked_spinach.png",
	on_use = minetest.item_eat(5)
})

minetest.register_craft({
	type = "cooking",
	output = "dishes:cooked_spinach",
	recipe = "farming:spinach",
	cooktime = 10
})

-- Chopped onion

minetest.register_craftitem("dishes:chopped_onion", {
	description = "Chopped onion",
	inventory_image = "dishes_chopped_onion.png"
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:chopped_onion",
	recipe = {"farming:onion", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

-- Chopped garlic

minetest.register_craftitem("dishes:chopped_garlic", {
	description = "Chopped garlic",
	inventory_image = "dishes_chopped_garlic.png"
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:chopped_garlic",
	recipe = {"farming:garlic", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

-- Powder chocolate

minetest.register_craftitem("dishes:powder_chocolate", {
	description = "Powder chocolate",
	inventory_image = "dishes_powder_chocolate.png"
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:powder_chocolate",
	recipe = {"farming:chocolate_dark", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

-- Powder ginger

minetest.register_craftitem("dishes:powder_ginger", {
	description = "Powder ginger",
	inventory_image = "dishes_powder_ginger.png"
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:powder_ginger",
	recipe = {"farming:ginger", "farming:mortar_pestle"},
	replacements = {{"farming:mortar_pestle", "farming:mortar_pestle"}}
})

-- Cream

minetest.register_craftitem("dishes:cream", {
	description = "Cream",
	inventory_image = "dishes_cream.png",
	stack_max = 1
})

minetest.register_craft({
	output = "dishes:cream",
	recipe = {
		{"mobs:glass_milk", "default:stick"},
		{"dishes:can", ""}
	},
	replacements = {{"default:stick", "default:stick"}}
})

-- Bacon

-- Pork

minetest.register_craftitem("dishes:raw_pork_bacon", {
		description = "Raw pork bacon",
		inventory_image = "dishes_raw_pork_bacon.png"
})

minetest.register_craftitem("dishes:pork_bacon", {
	description = "Pork bacon",
	inventory_image = "dishes_pork_bacon.png",
	on_use = minetest.item_eat(5),
	groups = {bacon = 1}
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:raw_pork_bacon",
	recipe = {"mobs:pork_raw", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

minetest.register_craft({
	type = "cooking",
	output = "dishes:pork_bacon",
	recipe = "dishes:raw_pork_bacon",
	cooktime = 5
})

-- Turkey

minetest.register_craftitem("dishes:raw_turkey_bacon", {
		description = "Raw turkey bacon",
		inventory_image = "dishes_raw_turkey_bacon.png"
})

minetest.register_craftitem("dishes:turkey_bacon", {
	description = "Turkey bacon",
	inventory_image = "dishes_turkey_bacon.png",
	on_use = minetest.item_eat(5),
	groups = {bacon = 1}
})

minetest.register_craft({
	type = "shapeless",
	output = "dishes:raw_turkey_bacon",
	recipe = {"mobs:chicken_raw", "farming:cutting_board"},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

minetest.register_craft({
	type = "cooking",
	output = "dishes:turkey_bacon",
	recipe = "dishes:raw_turkey_bacon",
	cooktime = 5
})

-- Vegan

minetest.register_craftitem("dishes:raw_vegan_bacon", {
		description = "Raw vegan bacon",
		inventory_image = "dishes_raw_vegan_bacon.png"
})

minetest.register_craftitem("dishes:vegan_bacon", {
	description = "Vegan bacon",
	inventory_image = "dishes_vegan_bacon.png",
	on_use = minetest.item_eat(5),
	groups = {bacon = 1}
})

minetest.register_craft({
	output = "dishes:raw_vegan_bacon",
	recipe = {
		{"farming:soy_pod", "farming:soy_pod", "farming:soy_pod"},
		{"farming:pea_pod", "farming:pea_pod", "farming:pea_pod"},
		{"farming:wheat", "farming:cutting_board", "farming:potato"}
	},
	replacements = {{"farming:cutting_board", "farming:cutting_board"}}
})

minetest.register_craft({
	type = "cooking",
	output = "dishes:vegan_bacon",
	recipe = "dishes:raw_vegan_bacon",
	cooktime = 10
})
