-- Registering items

minetest.register_craftitem("dishes:ratatouille", {
	description = "Ratatouille",
	inventory_image = "dishes_ratatouille.png",
	on_use = minetest.item_eat(20, "dishes:plate"),
	stack_max = 1
})

minetest.register_craftitem("dishes:puffpastry_asparagus", {
	description = "Puff pastry asparagus",
	inventory_image = "dishes_puffpastry_asparagus.png",
	on_use = minetest.item_eat(20, "dishes:plate"),
	stack_max = 1
})

minetest.register_craftitem("dishes:poulet_crudites", {
	description = "Poulet-crudités",
	inventory_image = "dishes_poulet_crudites.png",
	on_use = minetest.item_eat(20, "dishes:plate"),
	stack_max = 1
})

minetest.register_craftitem("dishes:epinards_creme", {
	description = "Épinards à la crème",
	inventory_image = "dishes_epinards_creme.png",
	on_use = minetest.item_eat(20, "dishes:plate"),
	stack_max = 1
})

minetest.register_craftitem("dishes:ginger_onion_beef", {
	description = "Ginger and onion beef",
	inventory_image = "dishes_ginger_onion_beef.png",
	on_use = minetest.item_eat(20, "dishes:plate"),
	stack_max = 1
})

minetest.register_craftitem("dishes:tartine_raspberry", {
	description = "Butter and raspberry coulis tartine",
	inventory_image = "dishes_tartine_raspberry.png",
	on_use = minetest.item_eat(20, "dishes:plate"),
	stack_max = 1
})

minetest.register_craftitem("dishes:tartine_chocolate", {
	description = "Honey and chocolate powder tartine",
	inventory_image = "dishes_tartine_chocolate.png",
	on_use = minetest.item_eat(20, "dishes:plate"),
	stack_max = 1
})

minetest.register_craftitem("dishes:beef_bourguignon", {
	description = "Beef bourguignon",
	inventory_image = "dishes_beef_bourguignon.png",
	on_use = minetest.item_eat(20, "dishes:plate"),
	stack_max = 1
})

-- Registering craft

minetest.register_craft({
	type = "cooking",
	output = "dishes:ratatouille",
	recipe = "dishes:uncooked_ratatouille",
	cooktime = 30,
	replacements = {{"dishes:uncooked_ratatouille", "farming:baking_tray"}}
})

minetest.register_craft({
	type = "cooking",
	output = "dishes:puffpastry_asparagus",
	recipe = "dishes:uncooked_asparagus",
	cooktime = 30
})

minetest.register_craft({
	output = "dishes:poulet_crudites",
	recipe = {
		{"dishes:cut_cheese", "dishes:cut_tomato", "dishes:mayonnaise"},
		{"mobs:egg", "group:food_bread", "mobs:chicken_cooked"},
		{"group:bacon", "dishes:plate", "farming:lettuce"}
	}
})

minetest.register_craft({
	type = "cooking",
	output = "dishes:epinards_creme",
	recipe = "dishes:epinards_creme_uncooked",
	cooktime = 30
})

minetest.register_craft({
	output = "dishes:ginger_onion_beef",
	recipe = {
		{"mobs:meat"},
		{"dishes:ginger_onion_mix"},
		{"dishes:plate"}
	}
})

minetest.register_craft({
	output = "dishes:tartine_raspberry",
	recipe = {
		{"dishes:raspberry_coulis", "mobs:butter"},
		{"group:food_bread", "dishes:plate"}
	}
})

minetest.register_craft({
	output = "dishes:tartine_chocolate",
	recipe = {
		{"dishes:powder_chocolate", "mobs:honey"},
		{"group:food_bread", "dishes:plate"}
	}
})

minetest.register_craft({
	output = "dishes:beef_bourguignon",
	recipe = {
		{"mobs:meat", "farming:carrot", "farming:potato"},
		{"farming:onion", "dishes:plate", "wine:glass_wine"}
	}
})
